package couponrpc

import (
	"git.tetele.net/tgo/conf"
)

const DES_KEY = "conaapon"

func rpc_server_conn(url ...string) (*CouponServiceClient, error) {

	var rpc_url string
	if len(url) > 0 && url[0] != "" {
		rpc_url = url[0]
	} else if conf.COUPON_RPC_URL != "" {
		rpc_url = conf.COUPON_RPC_URL
	} else {
		rpc_url = "127.0.0.1:" + conf.COUPON_RPC_PORT
	}

	conn, _, err := DialCouponService("tcp", rpc_url)
	if err != nil {
		return nil, err
	}

	return conn, nil
}
